<?php
ob_start(); 
define( 'OPTIONS_FRAMEWORK_DIRECTORY', get_template_directory_uri() . '/inc/' );
require_once dirname( __FILE__ ) . '/inc/options-framework.php';
include_once('baztro.php');
include_once('includes/installs.php');
include_once('includes/core/core.php');
// Implement the Custom Header feature.
require get_template_directory() . '/includes/custom-header.php';
require get_template_directory() . '/includes/customizer.php';
require get_template_directory() . '/includes/metabox.php';
require get_template_directory() . '/includes/pagemetabox.php';

function magazine_scripts() {
	wp_enqueue_style( 'magazine-style', get_stylesheet_uri() );
	wp_enqueue_style( 'magazine-font-awesome', get_stylesheet_directory_uri() . '/font-awesome/css/font-awesome.min.css' );
		wp_enqueue_script('backscript', get_template_directory_uri().'/js/backscript.js', array('jquery'), '1.0', false );
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );
	}
		if ( is_rtl() ) {
	wp_enqueue_style( 'magazine-rtl-css', get_template_directory_uri() . '/css/rtl.css' );
}
add_action( 'wp_enqueue_scripts', 'magazine_scripts' );
/**
 * Enqueue script for custom customize control.
 */
function magazine_custom_customize_enqueue() {
	wp_enqueue_style( 'customizer-css', get_stylesheet_directory_uri() . '/customizer-css.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'magazine_custom_customize_enqueue' );

	/*
	* Home Icon for Menu
	*/
	
	function magazine_hdmenu() {	
		echo '<ul>';
		if ('page' != get_option('show_on_front')) {
		if (is_front_page())
$class = 'class="current_page_item home-icon"';
else
$class = 'class="home-icon"';
			echo '<li ' . $class . ' ><a href="'.esc_url(home_url()) . '/"><i class="fa fa-home"></i></a></li>';
		}
		wp_list_pages('title_li=');
		echo '</ul>';
	}

add_filter( 'wp_nav_menu_items', 'magazine_home_link', 10, 2 );
function magazine_home_link($items, $args) {
if (is_front_page())
$class = 'class="current_page_item home-icon"';
else
$class = 'class="home-icon"';
$homeMenuItem =
'<li ' . $class . '>' .
$args->before .
'<a href="' .esc_url(home_url( '/' )) . '" title="Home">' .
$args->link_before . '<i class="fa fa-home"></i>' . $args->link_after .
'</a>' .
$args->after .
'</li>';
$items = $homeMenuItem . $items;
return $items;
}

function magazine_post_meta_data() {
	printf( __( '%2$s  %4$s', 'magazine-style' ),
	'meta-prep meta-prep-author posted', 
	sprintf( '<span itemprop="datePublished" class="timestamp updated">%3$s</span>',
		esc_url( get_permalink() ),
		esc_attr( get_the_time() ),
		esc_html( get_the_date() )
	),
	'byline',
	sprintf( '<span class="author vcard" itemprop="author" itemtype="http://schema.org/Person"><span class="fn">%3$s</span></span>',
		get_author_posts_url( get_the_author_meta( 'ID' ) ),
		sprintf( esc_attr__( 'View all posts by %s', 'magazine-style' ), get_the_author() ),
		esc_attr( get_the_author() )
		)
	);
}
/* Enable support for post-thumbnails ********************************************/
		
	// If we want to ensure that we only call this function if
	// the user is working with WP 2.9 or higher,
	// let's instead make sure that the function exists first
	
function magazine_theme_setup() { 
	
		add_theme_support( 'post-thumbnails' );	
		add_image_size( 'defaultthumb', 270, 270 );
		add_image_size( 'ltpostthumb', 65, 65, true );
		
		if(of_get_option('magazinestyle_woozoom')=='on'){ add_theme_support( 'wc-product-gallery-zoom' );}
		if(of_get_option('magazinestyle_woolightbox')!=='off'){ add_theme_support( 'wc-product-gallery-lightbox' );}
		if(of_get_option('magazinestyle_wooslider')=='on'){ add_theme_support( 'wc-product-gallery-slider' );}
		/*
		* Enable support for Post Formats.
		* See http://codex.wordpress.org/Post_Formats
		*/
		add_theme_support( 'post-formats', array(
			'aside', 'image', 'video', 'quote', 'link',
		) );
		/**
         * magazine translations.
         * Add your files into /languages/ directory.
		 * @see http://codex.wordpress.org/Function_Reference/load_theme_textdomain
         */
	    load_theme_textdomain('magazine-style', get_template_directory() . '/languages');
		/**
         * Add callback for custom editor stylesheets. (editor-style.css)
         * @see http://codex.wordpress.org/Function_Reference/add_editor_style
         */
		add_theme_support("title-tag");
        add_editor_style();
	// Set up the WordPress core custom logo feature.
		add_theme_support( 'custom-logo', apply_filters( 'magazine_custom_logo_args', array(
			'height' => 100,
			'width' => 460,
			'flex-height' => true,
			'flex-width' => true,
		) ) );
		
		/**
         * This feature enables post and comment RSS feed links to head.
         * @see http://codex.wordpress.org/Function_Reference/add_theme_support#Feed_Links
         */
        add_theme_support('automatic-feed-links');
		
		register_nav_menus(
			array(
 				'magazine-navigation' => __('Navigation', 'magazine-style'),
 				'footer-menu' => __('Footer Menu', 'magazine-style'),
				)		
		);
		//woocommerce plugin support
		add_theme_support( 'woocommerce' );
		
	// Setup the WordPress core custom background feature.
		add_theme_support( 'custom-background', apply_filters( 'magazine_custom_background_args', array(
		'default-color' => '#ffffff',
		'default-image' => '',
	) ) );
			
	global $content_width;
	if ( ! isset( $content_width ) ) {
	$content_width = 770;
	}

}	
	add_action( 'after_setup_theme', 'magazine_theme_setup' );
	

/* Excerpt ********************************************/

    function magazine_excerptlength_teaser($length) {
    return 10;
    }
    function magazine_excerptlength_index($length) {
    return 48;
    }
    function magazine_excerptmore($more) {
    return '...';
    }
    
    
    function magazine_excerpt($length_callback='', $more_callback='') {
    global $post;
    add_filter('excerpt_length', $length_callback);
 
    add_filter('excerpt_more', $more_callback);
   
    $output = get_the_excerpt();
    $output = apply_filters('wptexturize', $output);
    $output = apply_filters('convert_chars', $output);
    $output = ''.$output.'';
    echo $output;
    }

	
//----------------------------- Search form ----------------------------------------//

 function magazine_search_form( $form ) {
	$form = '<form role="search" method="get" id="searchform" class="searchform" action="' . home_url( '/' ) . '" >
	<div><label class="screen-reader-text" for="s">' . __( 'Search for:','magazine-style' ) . '</label>
	<input type="text" placeholder="'.__('Search','magazine-style').'" value="' . get_search_query() . '" name="s" id="s" />
	<input type="submit" id="searchsubmit" value="'. esc_attr__( 'Go','magazine-style' ) .'" />
	</div>
	</form>';

	return $form;
}

add_filter( 'get_search_form', 'magazine_search_form' );


/* Widgets ********************************************/

    function magazine_widgets_init() {

	register_sidebar(array(
		'name' => __( 'Sidebar Right', 'magazine-style' ),
	    'before_widget' => '<div class="box clearfloat"><div class="boxinside clearfloat">',
	    'after_widget' => '</div></div>',
	    'before_title' => '<h4 class="widgettitle">',
	    'after_title' => '</h4>',
		'id' => 'magsidebar',
	));
	register_sidebar(array(
		'name' => __( 'Content Footer Widget', 'magazine-style' ),
	    'id' => 'ftwidget',
	    'before_widget' => '<div class="box clearfloat"><div class="boxinside clearfloat">',
	    'after_widget' => '</div></div>',
	    'before_title' => '<h4 class="widgettitle">',
	    'after_title' => '</h4>',
	));	
	register_sidebar(array(
		'name' => __( 'Below Navigation', 'magazine-style' ),
	    'id' => 'belownavi',
	    'before_widget' => '<div class="box clearfloat"><div class="boxinside clearfloat">',
	    'after_widget' => '</div></div>',
	    'before_title' => '<h4 class="widgettitle">',
	    'after_title' => '</h4>',
	));
	register_sidebar(array(
		'name' => __( 'Bottom Menu 1', 'magazine-style' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h4>',
	    'after_title' => '</h4>',
		'id' => 'magbottom1',
	));

	register_sidebar(array(
		'name' => __( 'Bottom Menu 2', 'magazine-style' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h4>',
	    'after_title' => '</h4>',
		'id' => 'magbottom2',
	));	

	register_sidebar(array(
		'name' => __( 'Bottom Menu 3', 'magazine-style' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h4>',
	    'after_title' => '</h4>',
		'id' => 'magbottom3',
	));	

	register_sidebar(array(
		'name' => __( 'Bottom Menu 4', 'magazine-style' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h4>',
	    'after_title' => '</h4>',
		'id' => 'magbottom4',
	));	

	
}
add_action('widgets_init', 'magazine_widgets_init');
//---------------------------- [ Pagenavi Function ] ------------------------------//
 
function magazine_pagenavi() {
	global $wp_query;
	$big = 123456789;
	$page_format = paginate_links( array(
	    'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
	    'format' => '?paged=%#%',
	    'current' => max( 1, get_query_var('paged') ),
	    'total' => $wp_query->max_num_pages,
	    'type'  => 'array'
	) );
	if( is_array($page_format) ) {
	            $paged = ( get_query_var('paged') == 0 ) ? 1 : get_query_var('paged');
	            echo '<div class="wp-pagenavi">';
	            echo '<span class="pages">'. $paged . ' of ' . $wp_query->max_num_pages .'</span>';
	            foreach ( $page_format as $page ) {
	                    echo "$page";
	            }
	           echo '</div>';
	 }
}
/* ----------------------------------------------------------------------------------- */
/* Customize Comment Form
/*----------------------------------------------------------------------------------- */
add_filter( 'comment_form_default_fields', 'magazine_comment_form_fields' );
function magazine_comment_form_fields( $fields ) {
    $commenter = wp_get_current_commenter();
    
    $req      = get_option( 'require_name_email' );
    $aria_req = ( $req ? " aria-required='true'" : '' );
    $html5    = current_theme_supports( 'html5', 'comment-form' ) ? 1 : 0;
    
     $fields   =  array(
        'author' => '<div class="large-6 columns"><div class="row collapse prefix-radius"><div class="small-2 columns">' . '<span class="prefix"><i class="fa fa-user"></i>' . ( $req ? ' <span class="required">*</span>' : '' ) . '</span> </div>' .
                    '<div class="small-10 columns"><input class="form-control" placeholder="' . __('Name','magazine-style').'" id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="20"' . $aria_req . ' /></div></div></div>',
        'email'  => '<div class="large-6 columns"><div class="row collapse prefix-radius"><div class="small-2 columns">' . '<span class="prefix"><i class="fa fa-envelope-o"></i>' . ( $req ? ' <span class="required">*</span>' : '' ) . '</span></div> ' .
                    '<div class="small-10 columns"><input class="form-control" placeholder="' . __('Email','magazine-style').'" id="email" name="email" ' . ( $html5 ? 'type="email"' : 'type="text"' ) . ' value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="20"' . $aria_req . ' /></div></div></div>',
        'url'    => '<div class="large-6 columns"><div class="row collapse prefix-radius"><div class="small-2 columns">' . '<span class="prefix"><i class="fa fa-external-link"></i>' . '</span> </div>' .
                    '<div class="small-10 columns"><input class="form-control" placeholder="' . __('Website','magazine-style').'" id="url" name="url" ' . ( $html5 ? 'type="url"' : 'type="text"' ) . ' value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /></div></div></div>'        
    );
    
    return $fields;
    
    
}

add_filter( 'comment_form_defaults', 'magazine_comment_form' );
function magazine_comment_form( $argsbutton ) {
        $argsbutton['class_submit'] = 'button'; 
    
    return $argsbutton;
}

ob_clean();



/**
 * Custom walker class.
 */
class magazine_Walker_Nav_Menu extends Walker_Nav_Menu {
 
    /**
     * Starts the list before the elements are added.
     *
     * Adds classes to the unordered list sub-menus.
     *
     * @param string $output Passed by reference. Used to append additional content.
     * @param int    $depth  Depth of menu item. Used for padding.
     * @param array  $args   An array of arguments. @see wp_nav_menu()
     */
    function start_lvl( &$output, $depth = 0, $args = array() ) {
        // Depth-dependent classes.
        $indent = ( $depth > 0  ? str_repeat( "\t", $depth ) : '' ); // code indent
        $display_depth = ( $depth + 1); // because it counts the first submenu as 0
        $classes = array(
            'sub-menu',
            ( $display_depth % 2  ? 'menu-odd' : 'menu-even' ),
            ( $display_depth >=2 ? 'sub-sub-menu' : '' ),
            'menu-depth-' . $display_depth
        );
        $class_names = implode( ' ', $classes );
 
        // Build HTML for output.
        $output .= "\n" . $indent . '<ul class="' . $class_names . '">' . "\n";
    }
 
    /**
     * Start the element output.
     *
     * Adds main/sub-classes to the list items and links.
     *
     * @param string $output Passed by reference. Used to append additional content.
     * @param object $item   Menu item data object.
     * @param int    $depth  Depth of menu item. Used for padding.
     * @param array  $args   An array of arguments. @see wp_nav_menu()
     * @param int    $id     Current item ID.
     */
    function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
        global $wp_query;
        $indent = ( $depth > 0 ? str_repeat( "\t", $depth ) : '' ); // code indent
 
        // Depth-dependent classes.
        $depth_classes = array(
            ( $depth == 0 ? 'main-menu-item' : 'sub-menu-item' ),
            ( $depth >=2 ? 'sub-sub-menu-item' : '' ),
            ( $depth % 2 ? 'menu-item-odd' : 'menu-item-even' ),
            'menu-item-depth-' . $depth
        );
        $depth_class_names = esc_attr( implode( ' ', $depth_classes ) );
 
        // Passed classes.
        $classes = empty( $item->classes ) ? array() : (array) $item->classes;
        $class_names = esc_attr( implode( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) ) );
 
        // Build HTML.
        $output .= $indent . '<li id="nav-menu-item-'. $item->ID . '" class="' . $depth_class_names . ' ' . $class_names . '">';
 
        // Link attributes.
        $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
        $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
        $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
        $attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';
        $attributes .= ' itemprop="url" class=" menu-link ' . ( $depth > 0 ? 'sub-menu-link' : 'main-menu-link' ) . '"';
 
        // Build HTML output and pass through the proper filter.
        $item_output = sprintf( '%1$s<a%2$s><span itemprop="name">%3$s%4$s%5$s</span></a>%6$s',
            $args->before,
            $attributes,
            $args->link_before,
            apply_filters( 'the_title', $item->title, $item->ID ),
            $args->link_after,
            $args->after
        );
        $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
    }
}

if ( ! function_exists( 'magazine_site_logo' ) ) :
/**
 * Displays the site logo in the header area
 */
function magazine_site_logo() {

	if ( function_exists( 'the_custom_logo' ) ) {
		the_custom_logo();
	}
}
endif;


if ( ! function_exists( 'magazine_site_title' ) ) :
/**
 * Displays the site title in the header area
 */
function magazine_site_title() {
	if ( is_front_page() && is_home() ) : ?>

		<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>

	<?php else : ?>

		<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
	<?php endif;
}
endif;

if ( ! function_exists( 'magazine_site_description' ) ) :
/**
 * Displays the site description in the header area
 */
function magazine_site_description() {
	$description = get_bloginfo( 'description', 'display' ); /* WPCS: xss ok. */

	if ( $description || is_customize_preview() ) : ?>

		<p class="site-description"><?php echo $description; ?></p>

	<?php
	endif;
}
endif;

/*********************************/
/* WooCommerce Quick Checkout
*******************************************/
if(of_get_option('magazinestyle_quickcheckout')=='on'){
	function magazinestyle_addtocart_button_func() {
			// Echo content.
			global $product;
			$pid = $product->get_id();
			$quicklink = WC()->cart->get_checkout_url();
			echo '<div class="button quickcheckout"><a href="'.$quicklink.'?add-to-cart='.$pid.'">'.esc_attr(of_get_option('magazinestyle_quickcheckoutname','Quick Checkout')).'</a></div>';
	}
	add_action( 'woocommerce_after_add_to_cart_button', 'magazinestyle_addtocart_button_func' );

}
/* ------------------------------------------------------------------------------ */
/* My Account/ Login
/*------------------------------------------------------------------------------- */
if(of_get_option('magazine_woo_myaccount')!=='off'){
if (class_exists('woocommerce')) {
	function magazine_myaccount(){
        if ( is_user_logged_in() ) {
		echo '<a class="myacc" href="';
		echo esc_url(get_permalink( get_option('woocommerce_myaccount_page_id') ));
		echo '" title="'.__('My Account','magazine-style').'">'.__('My Account','magazine-style').'</a>';
		}
	else {

		echo '<a class="myacclo" href="';
		echo esc_url(get_permalink( get_option('woocommerce_myaccount_page_id')) ); 
		echo '" title="'.__('Login / Register','magazine-style').'">'.__('Login / Register','magazine-style').'</a>';
		}
	}
	add_action('magazine_after_logo','magazine_myaccount');
}
}
if(of_get_option('magazine_woo_cart')!=='off'){
if (class_exists('woocommerce')) {
	function magazine_woocart(){
		global $woocommerce;
		$carturl = WC() ->cart->get_cart_url();
		echo '<a class="cart-contents" href="' . esc_url($carturl) . '" title="'.__('View your shopping cart','magazine-style').'">';
		echo esc_html(sizeof( WC()->cart->get_cart()));
		echo _e(' items - ','magazine-style');
		$wcsubcart = WC()->cart->get_cart_subtotal();
		$wcsubcart = preg_replace('/<(span).*?class="\s*(?:.*\s)?target(?:\s[^"]+)?\s*"[^\>]*>(.*)<\/\1>/i', '\2', $wcsubcart);
		echo $wcsubcart;
		echo '</a>';
	}
add_action('magazine_after_logo','magazine_woocart');
}
 }